%define upstream_name    IO-Prompt-Hooked
%define upstream_version 0.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Simple prompting with validation hooks
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(English)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.620.0
BuildRequires: perl(IO::Prompt::Tiny) >= 0.1.0
BuildRequires: perl(Params::Smart) >= 0.80.0
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(parent) >= 0.225.0
BuildArch:  noarch

%description
IO::Prompt::Tiny is a nice module to use for basic prompting. It properly
detects interactive sessions, and since it's based on the 'prompt()'
routine from the ExtUtils::MakeMaker manpage, it's highly portable.

But the IO::Prompt::Tiny manpage is intentionally minimal. Often one begins
wrapping it in logic to validate input, retry on invalid, limit number of
attempts, and alert the user to invalid input. the IO::Prompt::Hooked
manpage adds simple validation, attempt limiting, and error handling to
IO::Prompt::Tiny's minimalism. It does this by allowing you to supply
simple Regexp objects for validation, or subroutine callbacks if you need
finer control.

"But we already have the IO::Prompt manpage for non-trivial needs.", you
might be thinking. And you're right. But have you read its POD? It's far
from being simple, and is not as portable as this module. the
IO::Prompt::Hooked manpage aims to provide the portability of IO::Tiny, and
easy to use hooks for input validation.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.100.0-10.mga10
+ Revision: 2199515
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.100.0-9.mga9
+ Revision: 1804138
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.100.0-8.mga8
+ Revision: 1495144
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.100.0-7.mga7
+ Revision: 1268827
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.100.0-6.mga6
+ Revision: 1028773
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 0.100.0-5.mga6
+ Revision: 935459
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.100.0-4.mga5
+ Revision: 749472
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.100.0-3.mga5
+ Revision: 685072
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.100.0-2.mga4
+ Revision: 527666
- Mageia 4 Mass Rebuild

* Mon Jun 10 2013 jquelin <jquelin> 0.100.0-1.mga4
+ Revision: 441616
- update to 0.10

* Sun Jan 13 2013 umeabot <umeabot> 0.80.0-2.mga3
+ Revision: 368531
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 0.80.0-1.mga3
+ Revision: 317677
- update to 0.08

* Tue Nov 06 2012 jquelin <jquelin> 0.60.0-1.mga3
+ Revision: 315117
- update to 0.06

* Wed Oct 24 2012 jquelin <jquelin> 0.50.0-1.mga3
+ Revision: 309615
- update to 0.05

* Wed Oct 17 2012 jquelin <jquelin> 0.30.0-1.mga3
+ Revision: 307565
- update to 0.03

* Mon Oct 15 2012 jquelin <jquelin> 0.20.0-1.mga3
+ Revision: 306221
- adding missing buildrequires:
- update to 0.02

* Wed Oct 10 2012 jquelin <jquelin> 0.10.0-1.mga3
+ Revision: 304274
- adding missing buildrequires:
- adding missing buildrequires:
- imported package perl-IO-Prompt-Hooked


* Wed Oct 10 2012 cpan2dist 0.01-1mga
- initial mageia release, generated with cpan2dist
